Index: contrib/crossrpms/rtems4.7/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/arm/Makefile.am	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/arm/Makefile.am	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -12,5 +12,5 @@
 GCC_VERS = 4.1.1
 GCC_RPMREL = 5
-NEWLIB_VERS = 1.14.0
+NEWLIB_VERS = 1.15.0
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.7/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/arm/gcc-sources.add	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/arm/gcc-sources.add	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -39,5 +39,5 @@
 %endif
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-2007010.diff
+Patch50:	newlib-1.15.0-rtems4.7-20070110.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/avr/Makefile.am	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/avr/Makefile.am	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -12,5 +12,5 @@
 GCC_VERS = 4.0.3
 GCC_RPMREL = 3
-NEWLIB_VERS = 1.14.0
+NEWLIB_VERS = 1.15.0
 include ../gcc.am
 GCC_OPTS +=
Index: contrib/crossrpms/rtems4.7/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/avr/gcc-sources.add	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/avr/gcc-sources.add	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -39,5 +39,5 @@
 %endif
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-2007010.diff
+Patch50:	newlib-1.15.0-rtems4.7-20070110.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/h8300/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/h8300/Makefile.am	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/h8300/Makefile.am	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -12,5 +12,5 @@
 GCC_VERS = 4.1.1
 GCC_RPMREL = 6
-NEWLIB_VERS = 1.14.0
+NEWLIB_VERS = 1.15.0
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.7/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/h8300/gcc-sources.add	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/h8300/gcc-sources.add	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -39,5 +39,5 @@
 %endif
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-2007010.diff
+Patch50:	newlib-1.15.0-rtems4.7-20070110.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/i386/Makefile.am	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/i386/Makefile.am	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -12,5 +12,5 @@
 GCC_VERS = 4.1.1
 GCC_RPMREL = 5
-NEWLIB_VERS = 1.14.0
+NEWLIB_VERS = 1.15.0
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.7/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/i386/gcc-sources.add	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/i386/gcc-sources.add	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -39,5 +39,5 @@
 %endif
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-2007010.diff
+Patch50:	newlib-1.15.0-rtems4.7-20070110.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/m68k/Makefile.am	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/m68k/Makefile.am	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -12,5 +12,5 @@
 GCC_VERS = 4.1.1
 GCC_RPMREL = 5
-NEWLIB_VERS = 1.14.0
+NEWLIB_VERS = 1.15.0
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.7/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/m68k/gcc-sources.add	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/m68k/gcc-sources.add	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -39,5 +39,5 @@
 %endif
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-2007010.diff
+Patch50:	newlib-1.15.0-rtems4.7-20070110.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/mips/Makefile.am	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/mips/Makefile.am	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -12,5 +12,5 @@
 GCC_VERS = 4.1.1
 GCC_RPMREL = 5
-NEWLIB_VERS = 1.14.0
+NEWLIB_VERS = 1.15.0
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.7/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/mips/gcc-sources.add	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/mips/gcc-sources.add	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -39,5 +39,5 @@
 %endif
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-2007010.diff
+Patch50:	newlib-1.15.0-rtems4.7-20070110.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/powerpc/Makefile.am	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/powerpc/Makefile.am	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -12,5 +12,5 @@
 GCC_VERS = 4.1.1
 GCC_RPMREL = 5
-NEWLIB_VERS = 1.14.0
+NEWLIB_VERS = 1.15.0
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.7/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/powerpc/gcc-sources.add	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/powerpc/gcc-sources.add	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -39,5 +39,5 @@
 %endif
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-2007010.diff
+Patch50:	newlib-1.15.0-rtems4.7-20070110.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/sh/Makefile.am	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/sh/Makefile.am	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -12,5 +12,5 @@
 GCC_VERS = 4.1.1
 GCC_RPMREL = 5
-NEWLIB_VERS = 1.14.0
+NEWLIB_VERS = 1.15.0
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.7/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/sh/gcc-sources.add	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/sh/gcc-sources.add	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -39,5 +39,5 @@
 %endif
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-2007010.diff
+Patch50:	newlib-1.15.0-rtems4.7-20070110.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/sparc/Makefile.am	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/sparc/Makefile.am	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -12,5 +12,5 @@
 GCC_VERS = 4.1.1
 GCC_RPMREL = 5
-NEWLIB_VERS = 1.14.0
+NEWLIB_VERS = 1.15.0
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.7/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/sparc/gcc-sources.add	(revision c0475f9dd60fa64088880e0ec9b292355451c6ef)
+++ contrib/crossrpms/rtems4.7/sparc/gcc-sources.add	(revision a6ad5c52bfb9723a8dfea2dfc27224dea1a7bf1c)
@@ -39,5 +39,5 @@
 %endif
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-2007010.diff
+Patch50:	newlib-1.15.0-rtems4.7-20070110.diff
 %endif
 %{?_without_sources:NoSource:	50}
